> For the complete documentation index, see [llms.txt](https://chameleoncloud.gitbook.io/chi-in-a-box/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chameleoncloud.gitbook.io/chi-in-a-box/reference/resource-reservation/default-resource-properties.md).

# Default Resource Properties

### What are Default Resource Properties?

When a user creates a resource reservation, they include properties they want the reserved resource to match. For example, specifying the type of baremetal node to reserve, or a minimum amount of RAM. Default resource properties can be configured so that requests without resource properties, which would normally be unbounded, and will result in random resources being reserved, are given some set of constraints. This is may be desired when not all resources are equal. For example, when there is a mixture of x86 and ARM nodes, or when some nodes have GPUs.

### Configuration and Usage

The following configuration options can be set in `defaults.yml`

* `blazar_host_default_resource_properties` is the resource property array to use when none is given when creating a host reservation. Note that the `$` character must be escaped to `\$`. Setting this to `'[]'` and changing `blazar_host_retry_without_default_resources` to false will use no default resource properties.
* `blazar_host_retry_without_default_resources` is a boolean value, whether any defaults should be used if the allocation using default resource properties fails.
* `blazar_network_default_resource_properties` is the resource property array to use when none is given when creating a network reservation. Note that the `$` character must be escaped to `\$`. Setting this to `'[]'` and changing `blazar_network_retry_without_default_resources` to false will use no default resource properties.
* `blazar_network_retry_without_default_resources` is a boolean value, whether any defaults should be used if the allocation using default resource properties fails.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://chameleoncloud.gitbook.io/chi-in-a-box/reference/resource-reservation/default-resource-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
